--- rebar.c	Sun Sep  9 22:15:28 2001
+++ rebar.cn	Wed Dec 26 11:32:10 2001
@@ -200,6 +200,7 @@
     HWND     hwndSelf;    /* handle of REBAR window itself */
     HWND     hwndToolTip; /* handle to the tool tip control */
     HWND     hwndNotify;  /* notification window (parent) */
+    HFONT    hDefaultFont;
     HFONT    hFont;       /* handle to the rebar's font */
     SIZE     imageSize;   /* image size (image list) */
     DWORD    dwStyle;     /* window style */
@@ -3624,7 +3625,7 @@
     DeleteObject (infoPtr->hcurHorz);
     DeleteObject (infoPtr->hcurVert);
     DeleteObject (infoPtr->hcurDrag);
-    DeleteObject (infoPtr->hFont);
+    if(infoPtr->hDefaultFont) DeleteObject (infoPtr->hDefaultFont);
     SetWindowLongA (infoPtr->hwndSelf, 0, 0);
 
     /* free rebar info data */
@@ -3834,7 +3835,7 @@
     }
     tfont = CreateFontIndirectA (&ncm.lfCaptionFont);
     if (tfont) {
-	infoPtr->hFont = tfont;
+        infoPtr->hFont = infoPtr->hDefaultFont = tfont;
     }
 
 /* native does:
